> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tokenfactory.nebius.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a response

> Creates a model response for a given input



## OpenAPI

````yaml https://api.tokenfactory.nebius.com/openapi.json post /v1/responses
openapi: 3.1.0
info:
  title: Nebius OpenAI-compatible inference API
  version: 20260506-297d05704
servers:
  - url: https://api.tokenfactory.nebius.com
security: []
paths:
  /v1/responses:
    post:
      tags:
        - inference
      summary: Create a response
      description: Creates a model response for a given input
      operationId: create_response_v1_responses_post
      parameters:
        - name: ai_project_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: current project ID
            title: Ai Project Id
          description: current project ID
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateResponseRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponsesResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    CreateResponseRequest:
      properties:
        background:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Background
          description: Whether to run the model response in the background.
          examples:
            - false
        include:
          anyOf:
            - items:
                type: string
                enum:
                  - code_interpreter_call.outputs
                  - computer_call_output.output.image_url
                  - file_search_call.results
                  - message.input_image.image_url
                  - message.output_text.logprobs
                  - reasoning.encrypted_content
              type: array
            - type: 'null'
          title: Include
          description: Specify additional output data to include in the model response.
        input:
          anyOf:
            - type: string
            - items:
                anyOf:
                  - $ref: '#/components/schemas/EasyInputMessage'
                  - $ref: '#/components/schemas/Message'
                  - $ref: '#/components/schemas/ResponseOutputMessage-Input'
                  - $ref: '#/components/schemas/ResponseFileSearchToolCall'
                  - $ref: '#/components/schemas/ResponseComputerToolCall-Input'
                  - $ref: '#/components/schemas/ComputerCallOutput'
                  - $ref: '#/components/schemas/ResponseFunctionWebSearch-Input'
                  - $ref: '#/components/schemas/ResponseFunctionToolCall'
                  - $ref: '#/components/schemas/FunctionCallOutput'
                  - $ref: '#/components/schemas/ResponseReasoningItem'
                  - $ref: '#/components/schemas/ImageGenerationCall'
                  - $ref: '#/components/schemas/ResponseCodeInterpreterToolCall'
                  - $ref: '#/components/schemas/LocalShellCall'
                  - $ref: '#/components/schemas/LocalShellCallOutput'
                  - $ref: '#/components/schemas/McpListTools'
                  - $ref: '#/components/schemas/McpApprovalRequest'
                  - $ref: '#/components/schemas/McpApprovalResponse'
                  - $ref: '#/components/schemas/McpCall'
                  - $ref: '#/components/schemas/ResponseCustomToolCallOutput'
                  - $ref: '#/components/schemas/ResponseCustomToolCall'
                  - $ref: '#/components/schemas/ItemReference'
                  - $ref: '#/components/schemas/ImageGenerationCall'
                  - $ref: '#/components/schemas/LocalShellCall'
                  - $ref: '#/components/schemas/McpCall'
                  - $ref: '#/components/schemas/McpListTools'
                  - $ref: '#/components/schemas/McpApprovalRequest'
              type: array
          title: Input
          description: >-
            Text, image, or file inputs to the model, used to generate a
            response.
        instructions:
          anyOf:
            - type: string
            - type: 'null'
          title: Instructions
          description: A system (or developer) message inserted into the model's context.
        max_output_tokens:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Output Tokens
          description: >-
            An upper bound for the number of tokens that can be generated for a
            response, including visible output tokens and reasoning tokens.
        max_tool_calls:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Tool Calls
          description: >-
            The maximum number of total calls to built-in tools that can be
            processed in a response. This maximum number applies across all
            built-in tool calls, not per individual tool. Any further attempts
            to call a tool by the model will be ignored.
        metadata:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Metadata
          description: Set of 16 key-value pairs that can be attached to an object.
        model:
          type: string
          title: Model
          description: The model used for the chat completion.
        parallel_tool_calls:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Parallel Tool Calls
          description: Whether to allow the model to run tool calls in parallel.
        previous_response_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Previous Response Id
          description: The unique ID of the previous response to the model.
        prompt:
          anyOf:
            - $ref: '#/components/schemas/ResponsePrompt'
            - type: 'null'
          description: Reference to a prompt template and its variables.
        reasoning:
          anyOf:
            - $ref: '#/components/schemas/Reasoning'
            - type: 'null'
          description: Configuration options for reasoning models.
        service_tier:
          allOf:
            - $ref: '#/components/schemas/ServiceTier'
          description: The service tier to use for the request.
          default: auto
          examples:
            - auto
            - flex
        store:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Store
          description: >-
            Whether to store the generated model response for later retrieval
            via API.
        stream:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Stream
          description: >-
            If set to true, the model response data will be streamed to the
            client as it is generated using server-sent events.
        temperature:
          anyOf:
            - type: number
              maximum: 2
              minimum: 0
            - type: 'null'
          title: Temperature
          description: >-
            What sampling temperature to use, between 0 and 2. Higher values
            like 0.8 will make the output more random, while lower values like
            0.2 will make it more focused and deterministic.


            We generally recommend altering this or `top_p` but not both.
          default: 1
        text:
          anyOf:
            - $ref: '#/components/schemas/ResponseTextConfig'
            - type: 'null'
          description: Configuration options for a text response from the model.
        tool_choice:
          anyOf:
            - type: string
              enum:
                - none
                - auto
                - required
            - $ref: '#/components/schemas/ToolChoiceAllowed'
            - $ref: '#/components/schemas/ToolChoiceTypes'
            - $ref: '#/components/schemas/ToolChoiceFunction'
            - $ref: '#/components/schemas/ToolChoiceMcp'
            - $ref: '#/components/schemas/ToolChoiceCustom'
          title: Tool Choice
          description: >-
            How the model should select which tool (or tools) to use when
            generating a response.
          default: auto
        tools:
          items:
            anyOf:
              - $ref: '#/components/schemas/FunctionTool'
              - $ref: '#/components/schemas/FileSearchTool-Input'
              - $ref: '#/components/schemas/ComputerTool'
              - $ref: '#/components/schemas/WebSearchTool'
              - $ref: '#/components/schemas/Mcp-Input'
              - $ref: '#/components/schemas/CodeInterpreter'
              - $ref: '#/components/schemas/ImageGeneration'
              - $ref: '#/components/schemas/LocalShell'
              - $ref: '#/components/schemas/CustomTool'
              - $ref: '#/components/schemas/WebSearchPreviewTool'
          type: array
          title: Tools
          description: An array of tools the model may call while generating a response.
        top_logprobs:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Top Logprobs
          description: >-
            A non-negative integer specifying the number of most likely tokens
            to return at each token position, each with an associated log
            probability. `logprobs` must be set to `true` if this parameter is
            used.
        top_p:
          anyOf:
            - type: number
              maximum: 1
              minimum: 0
            - type: 'null'
          title: Top P
          description: >-
            An alternative to sampling with temperature, called nucleus
            sampling, where the model considers the results of the tokens with
            top_p probability mass. So 0.1 means only the tokens comprising the
            top 10% probability mass are considered.


            We generally recommend altering this or `temperature` but not both.
        truncation:
          type: string
          enum:
            - auto
            - disabled
          title: Truncation
          description: The truncation strategy to use for the model response.
          default: disabled
        user:
          anyOf:
            - type: string
            - type: 'null'
          title: User
          description: >-
            A unique identifier representing your end-user, which can help us to
            monitor and detect abuse. [Learn
            more](https://platform.openai.com/docs/guides/safety-best-practices/end-user-ids).
        prompt_cache_key:
          anyOf:
            - type: string
            - type: 'null'
          title: Prompt Cache Key
          description: >-
            Used by OpenAI to cache responses for similar requests to optimize
            your cache hit rates. Replaces the user field.
      additionalProperties: true
      type: object
      required:
        - input
        - model
      title: CreateResponseRequest
    ResponsesResponse:
      properties:
        id:
          type: string
          title: Id
        created_at:
          type: integer
          title: Created At
        error:
          anyOf:
            - $ref: '#/components/schemas/ResponseError'
            - type: 'null'
        incomplete_details:
          anyOf:
            - $ref: '#/components/schemas/IncompleteDetails'
            - type: 'null'
        instructions:
          anyOf:
            - type: string
            - type: 'null'
          title: Instructions
        metadata:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Metadata
        model:
          type: string
          title: Model
        object:
          type: string
          enum:
            - response
          const: response
          title: Object
          default: response
        output:
          items:
            anyOf:
              - $ref: '#/components/schemas/ResponseOutputMessage-Output'
              - $ref: '#/components/schemas/ResponseFileSearchToolCall'
              - $ref: '#/components/schemas/ResponseFunctionToolCall'
              - $ref: '#/components/schemas/ResponseFunctionWebSearch-Output'
              - $ref: '#/components/schemas/ResponseComputerToolCall-Output'
              - $ref: '#/components/schemas/ResponseReasoningItem'
              - $ref: '#/components/schemas/ImageGenerationCall'
              - $ref: '#/components/schemas/ResponseCodeInterpreterToolCall'
              - $ref: '#/components/schemas/LocalShellCall'
              - $ref: '#/components/schemas/McpCall'
              - $ref: '#/components/schemas/McpListTools'
              - $ref: '#/components/schemas/McpApprovalRequest'
              - $ref: '#/components/schemas/ResponseCustomToolCall'
          type: array
          title: Output
        parallel_tool_calls:
          type: boolean
          title: Parallel Tool Calls
        temperature:
          type: number
          title: Temperature
        tool_choice:
          anyOf:
            - type: string
              enum:
                - none
                - auto
                - required
            - $ref: '#/components/schemas/ToolChoiceAllowed'
            - $ref: '#/components/schemas/ToolChoiceTypes'
            - $ref: '#/components/schemas/ToolChoiceFunction'
            - $ref: '#/components/schemas/ToolChoiceMcp'
            - $ref: '#/components/schemas/ToolChoiceCustom'
          title: Tool Choice
        tools:
          items:
            anyOf:
              - $ref: '#/components/schemas/FunctionTool'
              - $ref: '#/components/schemas/FileSearchTool-Output'
              - $ref: '#/components/schemas/ComputerTool'
              - $ref: '#/components/schemas/WebSearchTool'
              - $ref: '#/components/schemas/Mcp-Output'
              - $ref: '#/components/schemas/CodeInterpreter'
              - $ref: '#/components/schemas/ImageGeneration'
              - $ref: '#/components/schemas/LocalShell'
              - $ref: '#/components/schemas/CustomTool'
              - $ref: '#/components/schemas/WebSearchPreviewTool'
          type: array
          title: Tools
        top_p:
          type: number
          title: Top P
        background:
          type: boolean
          title: Background
        max_output_tokens:
          type: integer
          title: Max Output Tokens
        max_tool_calls:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Tool Calls
        previous_response_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Previous Response Id
        prompt:
          anyOf:
            - $ref: '#/components/schemas/ResponsePrompt'
            - type: 'null'
        reasoning:
          anyOf:
            - $ref: '#/components/schemas/Reasoning'
            - type: 'null'
        service_tier:
          $ref: '#/components/schemas/ServiceTier'
        status:
          type: string
          enum:
            - completed
            - failed
            - in_progress
            - cancelled
            - queued
            - incomplete
          title: Status
        text:
          anyOf:
            - $ref: '#/components/schemas/ResponseTextConfig'
            - type: 'null'
        top_logprobs:
          anyOf:
            - type: integer
            - type: 'null'
          title: Top Logprobs
        truncation:
          type: string
          enum:
            - auto
            - disabled
          title: Truncation
        usage:
          anyOf:
            - $ref: '#/components/schemas/ResponseUsage'
            - type: 'null'
        user:
          anyOf:
            - type: string
            - type: 'null'
          title: User
      type: object
      required:
        - id
        - created_at
        - model
        - output
        - parallel_tool_calls
        - temperature
        - tool_choice
        - tools
        - top_p
        - background
        - max_output_tokens
        - service_tier
        - status
        - truncation
      title: ResponsesResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    EasyInputMessage:
      properties:
        content:
          anyOf:
            - type: string
            - items:
                anyOf:
                  - $ref: '#/components/schemas/ResponseInputText'
                  - $ref: '#/components/schemas/ResponseInputImage'
                  - $ref: '#/components/schemas/ResponseInputFile'
                  - $ref: '#/components/schemas/ResponseInputAudio'
              type: array
          title: Content
        role:
          type: string
          enum:
            - user
            - assistant
            - system
            - developer
          title: Role
        type:
          anyOf:
            - type: string
              enum:
                - message
              const: message
            - type: 'null'
          title: Type
      additionalProperties: true
      type: object
      required:
        - content
        - role
      title: EasyInputMessage
    Message:
      properties:
        content:
          items:
            anyOf:
              - $ref: '#/components/schemas/ResponseInputText'
              - $ref: '#/components/schemas/ResponseInputImage'
              - $ref: '#/components/schemas/ResponseInputFile'
              - $ref: '#/components/schemas/ResponseInputAudio'
          type: array
          title: Content
        role:
          type: string
          enum:
            - user
            - system
            - developer
          title: Role
        status:
          anyOf:
            - type: string
              enum:
                - in_progress
                - completed
                - incomplete
            - type: 'null'
          title: Status
        type:
          anyOf:
            - type: string
              enum:
                - message
              const: message
            - type: 'null'
          title: Type
      additionalProperties: true
      type: object
      required:
        - content
        - role
      title: Message
    ResponseOutputMessage-Input:
      properties:
        id:
          type: string
          title: Id
        content:
          items:
            anyOf:
              - $ref: '#/components/schemas/ResponseOutputText-Input'
              - $ref: '#/components/schemas/ResponseOutputRefusal'
          type: array
          title: Content
        role:
          type: string
          enum:
            - assistant
          const: assistant
          title: Role
        status:
          type: string
          enum:
            - in_progress
            - completed
            - incomplete
          title: Status
        type:
          type: string
          enum:
            - message
          const: message
          title: Type
      additionalProperties: true
      type: object
      required:
        - id
        - content
        - role
        - status
        - type
      title: ResponseOutputMessage
    ResponseFileSearchToolCall:
      properties:
        id:
          type: string
          title: Id
        queries:
          items:
            type: string
          type: array
          title: Queries
        status:
          type: string
          enum:
            - in_progress
            - searching
            - completed
            - incomplete
            - failed
          title: Status
        type:
          type: string
          enum:
            - file_search_call
          const: file_search_call
          title: Type
        results:
          anyOf:
            - items:
                $ref: '#/components/schemas/Result'
              type: array
            - type: 'null'
          title: Results
      additionalProperties: true
      type: object
      required:
        - id
        - queries
        - status
        - type
      title: ResponseFileSearchToolCall
    ResponseComputerToolCall-Input:
      properties:
        id:
          type: string
          title: Id
        action:
          anyOf:
            - $ref: '#/components/schemas/ActionClick'
            - $ref: '#/components/schemas/ActionDoubleClick'
            - $ref: '#/components/schemas/ActionDrag'
            - $ref: '#/components/schemas/ActionKeypress'
            - $ref: '#/components/schemas/ActionMove'
            - $ref: '#/components/schemas/ActionScreenshot'
            - $ref: '#/components/schemas/ActionScroll'
            - $ref: '#/components/schemas/ActionType'
            - $ref: '#/components/schemas/ActionWait'
          title: Action
        call_id:
          type: string
          title: Call Id
        pending_safety_checks:
          items:
            $ref: '#/components/schemas/PendingSafetyCheck'
          type: array
          title: Pending Safety Checks
        status:
          type: string
          enum:
            - in_progress
            - completed
            - incomplete
          title: Status
        type:
          type: string
          enum:
            - computer_call
          const: computer_call
          title: Type
      additionalProperties: true
      type: object
      required:
        - id
        - action
        - call_id
        - pending_safety_checks
        - status
        - type
      title: ResponseComputerToolCall
    ComputerCallOutput:
      properties:
        call_id:
          type: string
          title: Call Id
        output:
          $ref: '#/components/schemas/ResponseComputerToolCallOutputScreenshot'
        type:
          type: string
          enum:
            - computer_call_output
          const: computer_call_output
          title: Type
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
        acknowledged_safety_checks:
          anyOf:
            - items:
                $ref: '#/components/schemas/ComputerCallOutputAcknowledgedSafetyCheck'
              type: array
            - type: 'null'
          title: Acknowledged Safety Checks
        status:
          anyOf:
            - type: string
              enum:
                - in_progress
                - completed
                - incomplete
            - type: 'null'
          title: Status
      additionalProperties: true
      type: object
      required:
        - call_id
        - output
        - type
      title: ComputerCallOutput
    ResponseFunctionWebSearch-Input:
      properties:
        id:
          type: string
          title: Id
        action:
          anyOf:
            - $ref: '#/components/schemas/ActionSearch'
            - $ref: '#/components/schemas/ActionOpenPage'
            - $ref: '#/components/schemas/ActionFind'
          title: Action
        status:
          type: string
          enum:
            - in_progress
            - searching
            - completed
            - failed
          title: Status
        type:
          type: string
          enum:
            - web_search_call
          const: web_search_call
          title: Type
      additionalProperties: true
      type: object
      required:
        - id
        - action
        - status
        - type
      title: ResponseFunctionWebSearch
    ResponseFunctionToolCall:
      properties:
        arguments:
          type: string
          title: Arguments
        call_id:
          type: string
          title: Call Id
        name:
          type: string
          title: Name
        type:
          type: string
          enum:
            - function_call
          const: function_call
          title: Type
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
        status:
          anyOf:
            - type: string
              enum:
                - in_progress
                - completed
                - incomplete
            - type: 'null'
          title: Status
      additionalProperties: true
      type: object
      required:
        - arguments
        - call_id
        - name
        - type
      title: ResponseFunctionToolCall
    FunctionCallOutput:
      properties:
        call_id:
          type: string
          title: Call Id
        output:
          type: string
          title: Output
        type:
          type: string
          enum:
            - function_call_output
          const: function_call_output
          title: Type
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
        status:
          anyOf:
            - type: string
              enum:
                - in_progress
                - completed
                - incomplete
            - type: 'null'
          title: Status
      additionalProperties: true
      type: object
      required:
        - call_id
        - output
        - type
      title: FunctionCallOutput
    ResponseReasoningItem:
      properties:
        id:
          type: string
          title: Id
        summary:
          items:
            $ref: '#/components/schemas/Summary'
          type: array
          title: Summary
        type:
          type: string
          enum:
            - reasoning
          const: reasoning
          title: Type
        content:
          anyOf:
            - items:
                $ref: '#/components/schemas/Content'
              type: array
            - type: 'null'
          title: Content
        encrypted_content:
          anyOf:
            - type: string
            - type: 'null'
          title: Encrypted Content
        status:
          anyOf:
            - type: string
              enum:
                - in_progress
                - completed
                - incomplete
            - type: 'null'
          title: Status
      additionalProperties: true
      type: object
      required:
        - id
        - summary
        - type
      title: ResponseReasoningItem
    ImageGenerationCall:
      properties:
        id:
          type: string
          title: Id
        result:
          anyOf:
            - type: string
            - type: 'null'
          title: Result
        status:
          type: string
          enum:
            - in_progress
            - completed
            - generating
            - failed
          title: Status
        type:
          type: string
          enum:
            - image_generation_call
          const: image_generation_call
          title: Type
      additionalProperties: true
      type: object
      required:
        - id
        - status
        - type
      title: ImageGenerationCall
    ResponseCodeInterpreterToolCall:
      properties:
        id:
          type: string
          title: Id
        code:
          anyOf:
            - type: string
            - type: 'null'
          title: Code
        container_id:
          type: string
          title: Container Id
        outputs:
          anyOf:
            - items:
                anyOf:
                  - $ref: '#/components/schemas/OutputLogs'
                  - $ref: '#/components/schemas/OutputImage'
              type: array
            - type: 'null'
          title: Outputs
        status:
          type: string
          enum:
            - in_progress
            - completed
            - incomplete
            - interpreting
            - failed
          title: Status
        type:
          type: string
          enum:
            - code_interpreter_call
          const: code_interpreter_call
          title: Type
      additionalProperties: true
      type: object
      required:
        - id
        - container_id
        - status
        - type
      title: ResponseCodeInterpreterToolCall
    LocalShellCall:
      properties:
        id:
          type: string
          title: Id
        action:
          $ref: '#/components/schemas/LocalShellCallAction'
        call_id:
          type: string
          title: Call Id
        status:
          type: string
          enum:
            - in_progress
            - completed
            - incomplete
          title: Status
        type:
          type: string
          enum:
            - local_shell_call
          const: local_shell_call
          title: Type
      additionalProperties: true
      type: object
      required:
        - id
        - action
        - call_id
        - status
        - type
      title: LocalShellCall
    LocalShellCallOutput:
      properties:
        id:
          type: string
          title: Id
        output:
          type: string
          title: Output
        type:
          type: string
          enum:
            - local_shell_call_output
          const: local_shell_call_output
          title: Type
        status:
          anyOf:
            - type: string
              enum:
                - in_progress
                - completed
                - incomplete
            - type: 'null'
          title: Status
      additionalProperties: true
      type: object
      required:
        - id
        - output
        - type
      title: LocalShellCallOutput
    McpListTools:
      properties:
        id:
          type: string
          title: Id
        server_label:
          type: string
          title: Server Label
        tools:
          items:
            $ref: '#/components/schemas/McpListToolsTool'
          type: array
          title: Tools
        type:
          type: string
          enum:
            - mcp_list_tools
          const: mcp_list_tools
          title: Type
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
      additionalProperties: true
      type: object
      required:
        - id
        - server_label
        - tools
        - type
      title: McpListTools
    McpApprovalRequest:
      properties:
        id:
          type: string
          title: Id
        arguments:
          type: string
          title: Arguments
        name:
          type: string
          title: Name
        server_label:
          type: string
          title: Server Label
        type:
          type: string
          enum:
            - mcp_approval_request
          const: mcp_approval_request
          title: Type
      additionalProperties: true
      type: object
      required:
        - id
        - arguments
        - name
        - server_label
        - type
      title: McpApprovalRequest
    McpApprovalResponse:
      properties:
        approval_request_id:
          type: string
          title: Approval Request Id
        approve:
          type: boolean
          title: Approve
        type:
          type: string
          enum:
            - mcp_approval_response
          const: mcp_approval_response
          title: Type
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
        reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Reason
      additionalProperties: true
      type: object
      required:
        - approval_request_id
        - approve
        - type
      title: McpApprovalResponse
    McpCall:
      properties:
        id:
          type: string
          title: Id
        arguments:
          type: string
          title: Arguments
        name:
          type: string
          title: Name
        server_label:
          type: string
          title: Server Label
        type:
          type: string
          enum:
            - mcp_call
          const: mcp_call
          title: Type
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        output:
          anyOf:
            - type: string
            - type: 'null'
          title: Output
      additionalProperties: true
      type: object
      required:
        - id
        - arguments
        - name
        - server_label
        - type
      title: McpCall
    ResponseCustomToolCallOutput:
      properties:
        call_id:
          type: string
          title: Call Id
        output:
          type: string
          title: Output
        type:
          type: string
          enum:
            - custom_tool_call_output
          const: custom_tool_call_output
          title: Type
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
      additionalProperties: true
      type: object
      required:
        - call_id
        - output
        - type
      title: ResponseCustomToolCallOutput
    ResponseCustomToolCall:
      properties:
        call_id:
          type: string
          title: Call Id
        input:
          type: string
          title: Input
        name:
          type: string
          title: Name
        type:
          type: string
          enum:
            - custom_tool_call
          const: custom_tool_call
          title: Type
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
      additionalProperties: true
      type: object
      required:
        - call_id
        - input
        - name
        - type
      title: ResponseCustomToolCall
    ItemReference:
      properties:
        id:
          type: string
          title: Id
        type:
          anyOf:
            - type: string
              enum:
                - item_reference
              const: item_reference
            - type: 'null'
          title: Type
      additionalProperties: true
      type: object
      required:
        - id
      title: ItemReference
    ResponsePrompt:
      properties:
        id:
          type: string
          title: Id
        variables:
          anyOf:
            - additionalProperties:
                anyOf:
                  - type: string
                  - $ref: '#/components/schemas/ResponseInputText'
                  - $ref: '#/components/schemas/ResponseInputImage'
                  - $ref: '#/components/schemas/ResponseInputFile'
              type: object
            - type: 'null'
          title: Variables
        version:
          anyOf:
            - type: string
            - type: 'null'
          title: Version
      additionalProperties: true
      type: object
      required:
        - id
      title: ResponsePrompt
    Reasoning:
      properties:
        effort:
          anyOf:
            - type: string
              enum:
                - minimal
                - low
                - medium
                - high
            - type: 'null'
          title: Effort
        generate_summary:
          anyOf:
            - type: string
              enum:
                - auto
                - concise
                - detailed
            - type: 'null'
          title: Generate Summary
        summary:
          anyOf:
            - type: string
              enum:
                - auto
                - concise
                - detailed
            - type: 'null'
          title: Summary
      additionalProperties: true
      type: object
      title: Reasoning
    ServiceTier:
      type: string
      enum:
        - auto
        - default
        - over-limit
        - flex
        - no-limit
      title: ServiceTier
      description: |-
        Represents the service tier for requests.

        Attributes:
            Auto: Automatically choose the best available tier for the request (Default or OverLimit).
            Analyze response to determine which tier was used.
            Default: Return 429 errors on hitting the rate limit, do not exceed to the OverLimit tier.
            OverLimit: Indicate that the request was over the user limit.
                    This tier cannot be set by user in the request, but us used in a response for tier=Auto.
            Flex: Do not consume rate-limit credits, but run with lower priority. May still result in 429 errors
            in case of if there is no resources to process.
    ResponseTextConfig:
      properties:
        format:
          anyOf:
            - $ref: '#/components/schemas/ResponseFormatText'
            - $ref: '#/components/schemas/ResponseFormatTextJSONSchemaConfig'
            - $ref: '#/components/schemas/ResponseFormatJSONObject'
            - type: 'null'
          title: Format
        verbosity:
          anyOf:
            - type: string
              enum:
                - low
                - medium
                - high
            - type: 'null'
          title: Verbosity
      additionalProperties: true
      type: object
      title: ResponseTextConfig
    ToolChoiceAllowed:
      properties:
        mode:
          type: string
          enum:
            - auto
            - required
          title: Mode
        tools:
          items:
            type: object
          type: array
          title: Tools
        type:
          type: string
          enum:
            - allowed_tools
          const: allowed_tools
          title: Type
      additionalProperties: true
      type: object
      required:
        - mode
        - tools
        - type
      title: ToolChoiceAllowed
    ToolChoiceTypes:
      properties:
        type:
          type: string
          enum:
            - file_search
            - web_search_preview
            - computer_use_preview
            - web_search_preview_2025_03_11
            - image_generation
            - code_interpreter
          title: Type
      additionalProperties: true
      type: object
      required:
        - type
      title: ToolChoiceTypes
    ToolChoiceFunction:
      properties:
        name:
          type: string
          title: Name
        type:
          type: string
          enum:
            - function
          const: function
          title: Type
      additionalProperties: true
      type: object
      required:
        - name
        - type
      title: ToolChoiceFunction
    ToolChoiceMcp:
      properties:
        server_label:
          type: string
          title: Server Label
        type:
          type: string
          enum:
            - mcp
          const: mcp
          title: Type
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
      additionalProperties: true
      type: object
      required:
        - server_label
        - type
      title: ToolChoiceMcp
    ToolChoiceCustom:
      properties:
        name:
          type: string
          title: Name
        type:
          type: string
          enum:
            - custom
          const: custom
          title: Type
      additionalProperties: true
      type: object
      required:
        - name
        - type
      title: ToolChoiceCustom
    FunctionTool:
      properties:
        name:
          type: string
          title: Name
        parameters:
          anyOf:
            - type: object
            - type: 'null'
          title: Parameters
        strict:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Strict
        type:
          type: string
          enum:
            - function
          const: function
          title: Type
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
      additionalProperties: true
      type: object
      required:
        - name
        - type
      title: FunctionTool
    FileSearchTool-Input:
      properties:
        type:
          type: string
          enum:
            - file_search
          const: file_search
          title: Type
        vector_store_ids:
          items:
            type: string
          type: array
          title: Vector Store Ids
        filters:
          anyOf:
            - $ref: '#/components/schemas/ComparisonFilter'
            - $ref: '#/components/schemas/CompoundFilter'
            - type: 'null'
          title: Filters
        max_num_results:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Num Results
        ranking_options:
          anyOf:
            - $ref: '#/components/schemas/RankingOptions'
            - type: 'null'
      additionalProperties: true
      type: object
      required:
        - type
        - vector_store_ids
      title: FileSearchTool
    ComputerTool:
      properties:
        display_height:
          type: integer
          title: Display Height
        display_width:
          type: integer
          title: Display Width
        environment:
          type: string
          enum:
            - windows
            - mac
            - linux
            - ubuntu
            - browser
          title: Environment
        type:
          type: string
          enum:
            - computer_use_preview
          const: computer_use_preview
          title: Type
      additionalProperties: true
      type: object
      required:
        - display_height
        - display_width
        - environment
        - type
      title: ComputerTool
    WebSearchTool:
      properties:
        type:
          type: string
          enum:
            - web_search
            - web_search_2025_08_26
          title: Type
        filters:
          anyOf:
            - $ref: '#/components/schemas/Filters'
            - type: 'null'
        search_context_size:
          anyOf:
            - type: string
              enum:
                - low
                - medium
                - high
            - type: 'null'
          title: Search Context Size
        user_location:
          anyOf:
            - $ref: >-
                #/components/schemas/openai__types__responses__web_search_tool__UserLocation
            - type: 'null'
      additionalProperties: true
      type: object
      required:
        - type
      title: WebSearchTool
    Mcp-Input:
      properties:
        server_label:
          type: string
          title: Server Label
        type:
          type: string
          enum:
            - mcp
          const: mcp
          title: Type
        allowed_tools:
          anyOf:
            - items:
                type: string
              type: array
            - $ref: '#/components/schemas/McpAllowedToolsMcpToolFilter'
            - type: 'null'
          title: Allowed Tools
        authorization:
          anyOf:
            - type: string
            - type: 'null'
          title: Authorization
        connector_id:
          anyOf:
            - type: string
              enum:
                - connector_dropbox
                - connector_gmail
                - connector_googlecalendar
                - connector_googledrive
                - connector_microsoftteams
                - connector_outlookcalendar
                - connector_outlookemail
                - connector_sharepoint
            - type: 'null'
          title: Connector Id
        headers:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Headers
        require_approval:
          anyOf:
            - $ref: '#/components/schemas/McpRequireApprovalMcpToolApprovalFilter'
            - type: string
              enum:
                - always
                - never
            - type: 'null'
          title: Require Approval
        server_description:
          anyOf:
            - type: string
            - type: 'null'
          title: Server Description
        server_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Server Url
      additionalProperties: true
      type: object
      required:
        - server_label
        - type
      title: Mcp
    CodeInterpreter:
      properties:
        container:
          anyOf:
            - type: string
            - $ref: >-
                #/components/schemas/CodeInterpreterContainerCodeInterpreterToolAuto
          title: Container
        type:
          type: string
          enum:
            - code_interpreter
          const: code_interpreter
          title: Type
      additionalProperties: true
      type: object
      required:
        - container
        - type
      title: CodeInterpreter
    ImageGeneration:
      properties:
        type:
          type: string
          enum:
            - image_generation
          const: image_generation
          title: Type
        background:
          anyOf:
            - type: string
              enum:
                - transparent
                - opaque
                - auto
            - type: 'null'
          title: Background
        input_fidelity:
          anyOf:
            - type: string
              enum:
                - high
                - low
            - type: 'null'
          title: Input Fidelity
        input_image_mask:
          anyOf:
            - $ref: '#/components/schemas/ImageGenerationInputImageMask'
            - type: 'null'
        model:
          anyOf:
            - type: string
              enum:
                - gpt-image-1
              const: gpt-image-1
            - type: 'null'
          title: Model
        moderation:
          anyOf:
            - type: string
              enum:
                - auto
                - low
            - type: 'null'
          title: Moderation
        output_compression:
          anyOf:
            - type: integer
            - type: 'null'
          title: Output Compression
        output_format:
          anyOf:
            - type: string
              enum:
                - png
                - webp
                - jpeg
            - type: 'null'
          title: Output Format
        partial_images:
          anyOf:
            - type: integer
            - type: 'null'
          title: Partial Images
        quality:
          anyOf:
            - type: string
              enum:
                - low
                - medium
                - high
                - auto
            - type: 'null'
          title: Quality
        size:
          anyOf:
            - type: string
              enum:
                - 1024x1024
                - 1024x1536
                - 1536x1024
                - auto
            - type: 'null'
          title: Size
      additionalProperties: true
      type: object
      required:
        - type
      title: ImageGeneration
    LocalShell:
      properties:
        type:
          type: string
          enum:
            - local_shell
          const: local_shell
          title: Type
      additionalProperties: true
      type: object
      required:
        - type
      title: LocalShell
    CustomTool:
      properties:
        name:
          type: string
          title: Name
        type:
          type: string
          enum:
            - custom
          const: custom
          title: Type
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        format:
          anyOf:
            - $ref: '#/components/schemas/Text'
            - $ref: '#/components/schemas/Grammar'
            - type: 'null'
          title: Format
      additionalProperties: true
      type: object
      required:
        - name
        - type
      title: CustomTool
    WebSearchPreviewTool:
      properties:
        type:
          type: string
          enum:
            - web_search_preview
            - web_search_preview_2025_03_11
          title: Type
        search_context_size:
          anyOf:
            - type: string
              enum:
                - low
                - medium
                - high
            - type: 'null'
          title: Search Context Size
        user_location:
          anyOf:
            - $ref: >-
                #/components/schemas/openai__types__responses__web_search_preview_tool__UserLocation
            - type: 'null'
      additionalProperties: true
      type: object
      required:
        - type
      title: WebSearchPreviewTool
    ResponseError:
      properties:
        code:
          type: string
          enum:
            - server_error
            - rate_limit_exceeded
            - invalid_prompt
            - vector_store_timeout
            - invalid_image
            - invalid_image_format
            - invalid_base64_image
            - invalid_image_url
            - image_too_large
            - image_too_small
            - image_parse_error
            - image_content_policy_violation
            - invalid_image_mode
            - image_file_too_large
            - unsupported_image_media_type
            - empty_image_file
            - failed_to_download_image
            - image_file_not_found
          title: Code
        message:
          type: string
          title: Message
      additionalProperties: true
      type: object
      required:
        - code
        - message
      title: ResponseError
    IncompleteDetails:
      properties:
        reason:
          anyOf:
            - type: string
              enum:
                - max_output_tokens
                - content_filter
            - type: 'null'
          title: Reason
      additionalProperties: true
      type: object
      title: IncompleteDetails
    ResponseOutputMessage-Output:
      properties:
        id:
          type: string
          title: Id
        content:
          items:
            anyOf:
              - $ref: '#/components/schemas/ResponseOutputText-Output'
              - $ref: '#/components/schemas/ResponseOutputRefusal'
          type: array
          title: Content
        role:
          type: string
          enum:
            - assistant
          const: assistant
          title: Role
        status:
          type: string
          enum:
            - in_progress
            - completed
            - incomplete
          title: Status
        type:
          type: string
          enum:
            - message
          const: message
          title: Type
      additionalProperties: true
      type: object
      required:
        - id
        - content
        - role
        - status
        - type
      title: ResponseOutputMessage
    ResponseFunctionWebSearch-Output:
      properties:
        id:
          type: string
          title: Id
        action:
          anyOf:
            - $ref: '#/components/schemas/ActionSearch'
            - $ref: '#/components/schemas/ActionOpenPage'
            - $ref: '#/components/schemas/ActionFind'
          title: Action
        status:
          type: string
          enum:
            - in_progress
            - searching
            - completed
            - failed
          title: Status
        type:
          type: string
          enum:
            - web_search_call
          const: web_search_call
          title: Type
      additionalProperties: true
      type: object
      required:
        - id
        - action
        - status
        - type
      title: ResponseFunctionWebSearch
    ResponseComputerToolCall-Output:
      properties:
        id:
          type: string
          title: Id
        action:
          anyOf:
            - $ref: '#/components/schemas/ActionClick'
            - $ref: '#/components/schemas/ActionDoubleClick'
            - $ref: '#/components/schemas/ActionDrag'
            - $ref: '#/components/schemas/ActionKeypress'
            - $ref: '#/components/schemas/ActionMove'
            - $ref: '#/components/schemas/ActionScreenshot'
            - $ref: '#/components/schemas/ActionScroll'
            - $ref: '#/components/schemas/ActionType'
            - $ref: '#/components/schemas/ActionWait'
          title: Action
        call_id:
          type: string
          title: Call Id
        pending_safety_checks:
          items:
            $ref: '#/components/schemas/PendingSafetyCheck'
          type: array
          title: Pending Safety Checks
        status:
          type: string
          enum:
            - in_progress
            - completed
            - incomplete
          title: Status
        type:
          type: string
          enum:
            - computer_call
          const: computer_call
          title: Type
      additionalProperties: true
      type: object
      required:
        - id
        - action
        - call_id
        - pending_safety_checks
        - status
        - type
      title: ResponseComputerToolCall
    FileSearchTool-Output:
      properties:
        type:
          type: string
          enum:
            - file_search
          const: file_search
          title: Type
        vector_store_ids:
          items:
            type: string
          type: array
          title: Vector Store Ids
        filters:
          anyOf:
            - $ref: '#/components/schemas/ComparisonFilter'
            - $ref: '#/components/schemas/CompoundFilter'
            - type: 'null'
          title: Filters
        max_num_results:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Num Results
        ranking_options:
          anyOf:
            - $ref: '#/components/schemas/RankingOptions'
            - type: 'null'
      additionalProperties: true
      type: object
      required:
        - type
        - vector_store_ids
      title: FileSearchTool
    Mcp-Output:
      properties:
        server_label:
          type: string
          title: Server Label
        type:
          type: string
          enum:
            - mcp
          const: mcp
          title: Type
        allowed_tools:
          anyOf:
            - items:
                type: string
              type: array
            - $ref: '#/components/schemas/McpAllowedToolsMcpToolFilter'
            - type: 'null'
          title: Allowed Tools
        authorization:
          anyOf:
            - type: string
            - type: 'null'
          title: Authorization
        connector_id:
          anyOf:
            - type: string
              enum:
                - connector_dropbox
                - connector_gmail
                - connector_googlecalendar
                - connector_googledrive
                - connector_microsoftteams
                - connector_outlookcalendar
                - connector_outlookemail
                - connector_sharepoint
            - type: 'null'
          title: Connector Id
        headers:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Headers
        require_approval:
          anyOf:
            - $ref: '#/components/schemas/McpRequireApprovalMcpToolApprovalFilter'
            - type: string
              enum:
                - always
                - never
            - type: 'null'
          title: Require Approval
        server_description:
          anyOf:
            - type: string
            - type: 'null'
          title: Server Description
        server_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Server Url
      additionalProperties: true
      type: object
      required:
        - server_label
        - type
      title: Mcp
    ResponseUsage:
      properties:
        input_tokens:
          type: integer
          title: Input Tokens
        input_tokens_details:
          $ref: '#/components/schemas/InputTokensDetails'
        output_tokens:
          type: integer
          title: Output Tokens
        output_tokens_details:
          $ref: '#/components/schemas/OutputTokensDetails'
        total_tokens:
          type: integer
          title: Total Tokens
      type: object
      required:
        - input_tokens
        - input_tokens_details
        - output_tokens
        - output_tokens_details
        - total_tokens
      title: ResponseUsage
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ResponseInputText:
      properties:
        text:
          type: string
          title: Text
        type:
          type: string
          enum:
            - input_text
          const: input_text
          title: Type
      additionalProperties: true
      type: object
      required:
        - text
        - type
      title: ResponseInputText
    ResponseInputImage:
      properties:
        detail:
          type: string
          enum:
            - low
            - high
            - auto
          title: Detail
        type:
          type: string
          enum:
            - input_image
          const: input_image
          title: Type
        file_id:
          anyOf:
            - type: string
            - type: 'null'
          title: File Id
        image_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Image Url
      additionalProperties: true
      type: object
      required:
        - detail
        - type
      title: ResponseInputImage
    ResponseInputFile:
      properties:
        type:
          type: string
          enum:
            - input_file
          const: input_file
          title: Type
        file_data:
          anyOf:
            - type: string
            - type: 'null'
          title: File Data
        file_id:
          anyOf:
            - type: string
            - type: 'null'
          title: File Id
        file_url:
          anyOf:
            - type: string
            - type: 'null'
          title: File Url
        filename:
          anyOf:
            - type: string
            - type: 'null'
          title: Filename
      additionalProperties: true
      type: object
      required:
        - type
      title: ResponseInputFile
    ResponseInputAudio:
      properties:
        input_audio:
          $ref: '#/components/schemas/InputAudio'
        type:
          type: string
          enum:
            - input_audio
          const: input_audio
          title: Type
      additionalProperties: true
      type: object
      required:
        - input_audio
        - type
      title: ResponseInputAudio
    ResponseOutputText-Input:
      properties:
        annotations:
          items:
            anyOf:
              - $ref: '#/components/schemas/AnnotationFileCitation'
              - $ref: '#/components/schemas/AnnotationURLCitation'
              - $ref: '#/components/schemas/AnnotationContainerFileCitation'
              - $ref: '#/components/schemas/AnnotationFilePath'
          type: array
          title: Annotations
        text:
          type: string
          title: Text
        type:
          type: string
          enum:
            - output_text
          const: output_text
          title: Type
        logprobs:
          anyOf:
            - items:
                $ref: '#/components/schemas/Logprob'
              type: array
            - type: 'null'
          title: Logprobs
      additionalProperties: true
      type: object
      required:
        - annotations
        - text
        - type
      title: ResponseOutputText
    ResponseOutputRefusal:
      properties:
        refusal:
          type: string
          title: Refusal
        type:
          type: string
          enum:
            - refusal
          const: refusal
          title: Type
      additionalProperties: true
      type: object
      required:
        - refusal
        - type
      title: ResponseOutputRefusal
    Result:
      properties:
        attributes:
          anyOf:
            - additionalProperties:
                anyOf:
                  - type: string
                  - type: number
                  - type: boolean
              type: object
            - type: 'null'
          title: Attributes
        file_id:
          anyOf:
            - type: string
            - type: 'null'
          title: File Id
        filename:
          anyOf:
            - type: string
            - type: 'null'
          title: Filename
        score:
          anyOf:
            - type: number
            - type: 'null'
          title: Score
        text:
          anyOf:
            - type: string
            - type: 'null'
          title: Text
      additionalProperties: true
      type: object
      title: Result
    ActionClick:
      properties:
        button:
          type: string
          enum:
            - left
            - right
            - wheel
            - back
            - forward
          title: Button
        type:
          type: string
          enum:
            - click
          const: click
          title: Type
        x:
          type: integer
          title: X
        'y':
          type: integer
          title: 'Y'
      additionalProperties: true
      type: object
      required:
        - button
        - type
        - x
        - 'y'
      title: ActionClick
    ActionDoubleClick:
      properties:
        type:
          type: string
          enum:
            - double_click
          const: double_click
          title: Type
        x:
          type: integer
          title: X
        'y':
          type: integer
          title: 'Y'
      additionalProperties: true
      type: object
      required:
        - type
        - x
        - 'y'
      title: ActionDoubleClick
    ActionDrag:
      properties:
        path:
          items:
            $ref: '#/components/schemas/ActionDragPath'
          type: array
          title: Path
        type:
          type: string
          enum:
            - drag
          const: drag
          title: Type
      additionalProperties: true
      type: object
      required:
        - path
        - type
      title: ActionDrag
    ActionKeypress:
      properties:
        keys:
          items:
            type: string
          type: array
          title: Keys
        type:
          type: string
          enum:
            - keypress
          const: keypress
          title: Type
      additionalProperties: true
      type: object
      required:
        - keys
        - type
      title: ActionKeypress
    ActionMove:
      properties:
        type:
          type: string
          enum:
            - move
          const: move
          title: Type
        x:
          type: integer
          title: X
        'y':
          type: integer
          title: 'Y'
      additionalProperties: true
      type: object
      required:
        - type
        - x
        - 'y'
      title: ActionMove
    ActionScreenshot:
      properties:
        type:
          type: string
          enum:
            - screenshot
          const: screenshot
          title: Type
      additionalProperties: true
      type: object
      required:
        - type
      title: ActionScreenshot
    ActionScroll:
      properties:
        scroll_x:
          type: integer
          title: Scroll X
        scroll_y:
          type: integer
          title: Scroll Y
        type:
          type: string
          enum:
            - scroll
          const: scroll
          title: Type
        x:
          type: integer
          title: X
        'y':
          type: integer
          title: 'Y'
      additionalProperties: true
      type: object
      required:
        - scroll_x
        - scroll_y
        - type
        - x
        - 'y'
      title: ActionScroll
    ActionType:
      properties:
        text:
          type: string
          title: Text
        type:
          type: string
          enum:
            - type
          const: type
          title: Type
      additionalProperties: true
      type: object
      required:
        - text
        - type
      title: ActionType
    ActionWait:
      properties:
        type:
          type: string
          enum:
            - wait
          const: wait
          title: Type
      additionalProperties: true
      type: object
      required:
        - type
      title: ActionWait
    PendingSafetyCheck:
      properties:
        id:
          type: string
          title: Id
        code:
          type: string
          title: Code
        message:
          type: string
          title: Message
      additionalProperties: true
      type: object
      required:
        - id
        - code
        - message
      title: PendingSafetyCheck
    ResponseComputerToolCallOutputScreenshot:
      properties:
        type:
          type: string
          enum:
            - computer_screenshot
          const: computer_screenshot
          title: Type
        file_id:
          anyOf:
            - type: string
            - type: 'null'
          title: File Id
        image_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Image Url
      additionalProperties: true
      type: object
      required:
        - type
      title: ResponseComputerToolCallOutputScreenshot
    ComputerCallOutputAcknowledgedSafetyCheck:
      properties:
        id:
          type: string
          title: Id
        code:
          anyOf:
            - type: string
            - type: 'null'
          title: Code
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
      additionalProperties: true
      type: object
      required:
        - id
      title: ComputerCallOutputAcknowledgedSafetyCheck
    ActionSearch:
      properties:
        query:
          type: string
          title: Query
        type:
          type: string
          enum:
            - search
          const: search
          title: Type
        sources:
          anyOf:
            - items:
                $ref: '#/components/schemas/ActionSearchSource'
              type: array
            - type: 'null'
          title: Sources
      additionalProperties: true
      type: object
      required:
        - query
        - type
      title: ActionSearch
    ActionOpenPage:
      properties:
        type:
          type: string
          enum:
            - open_page
          const: open_page
          title: Type
        url:
          type: string
          title: Url
      additionalProperties: true
      type: object
      required:
        - type
        - url
      title: ActionOpenPage
    ActionFind:
      properties:
        pattern:
          type: string
          title: Pattern
        type:
          type: string
          enum:
            - find
          const: find
          title: Type
        url:
          type: string
          title: Url
      additionalProperties: true
      type: object
      required:
        - pattern
        - type
        - url
      title: ActionFind
    Summary:
      properties:
        text:
          type: string
          title: Text
        type:
          type: string
          enum:
            - summary_text
          const: summary_text
          title: Type
      additionalProperties: true
      type: object
      required:
        - text
        - type
      title: Summary
    Content:
      properties:
        text:
          type: string
          title: Text
        type:
          type: string
          enum:
            - reasoning_text
          const: reasoning_text
          title: Type
      additionalProperties: true
      type: object
      required:
        - text
        - type
      title: Content
    OutputLogs:
      properties:
        logs:
          type: string
          title: Logs
        type:
          type: string
          enum:
            - logs
          const: logs
          title: Type
      additionalProperties: true
      type: object
      required:
        - logs
        - type
      title: OutputLogs
    OutputImage:
      properties:
        type:
          type: string
          enum:
            - image
          const: image
          title: Type
        url:
          type: string
          title: Url
      additionalProperties: true
      type: object
      required:
        - type
        - url
      title: OutputImage
    LocalShellCallAction:
      properties:
        command:
          items:
            type: string
          type: array
          title: Command
        env:
          additionalProperties:
            type: string
          type: object
          title: Env
        type:
          type: string
          enum:
            - exec
          const: exec
          title: Type
        timeout_ms:
          anyOf:
            - type: integer
            - type: 'null'
          title: Timeout Ms
        user:
          anyOf:
            - type: string
            - type: 'null'
          title: User
        working_directory:
          anyOf:
            - type: string
            - type: 'null'
          title: Working Directory
      additionalProperties: true
      type: object
      required:
        - command
        - env
        - type
      title: LocalShellCallAction
    McpListToolsTool:
      properties:
        input_schema:
          title: Input Schema
        name:
          type: string
          title: Name
        annotations:
          anyOf:
            - {}
            - type: 'null'
          title: Annotations
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
      additionalProperties: true
      type: object
      required:
        - input_schema
        - name
      title: McpListToolsTool
    ResponseFormatText:
      properties:
        type:
          type: string
          enum:
            - text
          const: text
          title: Type
      additionalProperties: true
      type: object
      required:
        - type
      title: ResponseFormatText
    ResponseFormatTextJSONSchemaConfig:
      properties:
        name:
          type: string
          title: Name
        schema:
          type: object
          title: Schema
        type:
          type: string
          enum:
            - json_schema
          const: json_schema
          title: Type
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        strict:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Strict
      additionalProperties: true
      type: object
      required:
        - name
        - schema
        - type
      title: ResponseFormatTextJSONSchemaConfig
    ResponseFormatJSONObject:
      properties:
        type:
          type: string
          enum:
            - json_object
          const: json_object
          title: Type
      additionalProperties: true
      type: object
      required:
        - type
      title: ResponseFormatJSONObject
    ComparisonFilter:
      properties:
        key:
          type: string
          title: Key
        type:
          type: string
          enum:
            - eq
            - ne
            - gt
            - gte
            - lt
            - lte
          title: Type
        value:
          anyOf:
            - type: string
            - type: number
            - type: boolean
          title: Value
      additionalProperties: true
      type: object
      required:
        - key
        - type
        - value
      title: ComparisonFilter
    CompoundFilter:
      properties:
        filters:
          items:
            anyOf:
              - $ref: '#/components/schemas/ComparisonFilter'
              - {}
          type: array
          title: Filters
        type:
          type: string
          enum:
            - and
            - or
          title: Type
      additionalProperties: true
      type: object
      required:
        - filters
        - type
      title: CompoundFilter
    RankingOptions:
      properties:
        ranker:
          anyOf:
            - type: string
              enum:
                - auto
                - default-2024-11-15
            - type: 'null'
          title: Ranker
        score_threshold:
          anyOf:
            - type: number
            - type: 'null'
          title: Score Threshold
      additionalProperties: true
      type: object
      title: RankingOptions
    Filters:
      properties:
        allowed_domains:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Allowed Domains
      additionalProperties: true
      type: object
      title: Filters
    openai__types__responses__web_search_tool__UserLocation:
      properties:
        city:
          anyOf:
            - type: string
            - type: 'null'
          title: City
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
        region:
          anyOf:
            - type: string
            - type: 'null'
          title: Region
        timezone:
          anyOf:
            - type: string
            - type: 'null'
          title: Timezone
        type:
          anyOf:
            - type: string
              enum:
                - approximate
              const: approximate
            - type: 'null'
          title: Type
      additionalProperties: true
      type: object
      title: UserLocation
    McpAllowedToolsMcpToolFilter:
      properties:
        read_only:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Read Only
        tool_names:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Tool Names
      additionalProperties: true
      type: object
      title: McpAllowedToolsMcpToolFilter
    McpRequireApprovalMcpToolApprovalFilter:
      properties:
        always:
          anyOf:
            - $ref: >-
                #/components/schemas/McpRequireApprovalMcpToolApprovalFilterAlways
            - type: 'null'
        never:
          anyOf:
            - $ref: >-
                #/components/schemas/McpRequireApprovalMcpToolApprovalFilterNever
            - type: 'null'
      additionalProperties: true
      type: object
      title: McpRequireApprovalMcpToolApprovalFilter
    CodeInterpreterContainerCodeInterpreterToolAuto:
      properties:
        type:
          type: string
          enum:
            - auto
          const: auto
          title: Type
        file_ids:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: File Ids
      additionalProperties: true
      type: object
      required:
        - type
      title: CodeInterpreterContainerCodeInterpreterToolAuto
    ImageGenerationInputImageMask:
      properties:
        file_id:
          anyOf:
            - type: string
            - type: 'null'
          title: File Id
        image_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Image Url
      additionalProperties: true
      type: object
      title: ImageGenerationInputImageMask
    Text:
      properties:
        type:
          type: string
          enum:
            - text
          const: text
          title: Type
      additionalProperties: true
      type: object
      required:
        - type
      title: Text
    Grammar:
      properties:
        definition:
          type: string
          title: Definition
        syntax:
          type: string
          enum:
            - lark
            - regex
          title: Syntax
        type:
          type: string
          enum:
            - grammar
          const: grammar
          title: Type
      additionalProperties: true
      type: object
      required:
        - definition
        - syntax
        - type
      title: Grammar
    openai__types__responses__web_search_preview_tool__UserLocation:
      properties:
        type:
          type: string
          enum:
            - approximate
          const: approximate
          title: Type
        city:
          anyOf:
            - type: string
            - type: 'null'
          title: City
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
        region:
          anyOf:
            - type: string
            - type: 'null'
          title: Region
        timezone:
          anyOf:
            - type: string
            - type: 'null'
          title: Timezone
      additionalProperties: true
      type: object
      required:
        - type
      title: UserLocation
    ResponseOutputText-Output:
      properties:
        annotations:
          items:
            anyOf:
              - $ref: '#/components/schemas/AnnotationFileCitation'
              - $ref: '#/components/schemas/AnnotationURLCitation'
              - $ref: '#/components/schemas/AnnotationContainerFileCitation'
              - $ref: '#/components/schemas/AnnotationFilePath'
          type: array
          title: Annotations
        text:
          type: string
          title: Text
        type:
          type: string
          enum:
            - output_text
          const: output_text
          title: Type
        logprobs:
          anyOf:
            - items:
                $ref: '#/components/schemas/Logprob'
              type: array
            - type: 'null'
          title: Logprobs
      additionalProperties: true
      type: object
      required:
        - annotations
        - text
        - type
      title: ResponseOutputText
    InputTokensDetails:
      properties:
        cached_tokens:
          type: integer
          title: Cached Tokens
        input_tokens_per_turn:
          items:
            type: integer
          type: array
          title: Input Tokens Per Turn
        cached_tokens_per_turn:
          items:
            type: integer
          type: array
          title: Cached Tokens Per Turn
      type: object
      required:
        - cached_tokens
      title: InputTokensDetails
    OutputTokensDetails:
      properties:
        reasoning_tokens:
          type: integer
          title: Reasoning Tokens
          default: 0
        tool_output_tokens:
          type: integer
          title: Tool Output Tokens
          default: 0
        output_tokens_per_turn:
          items:
            type: integer
          type: array
          title: Output Tokens Per Turn
        tool_output_tokens_per_turn:
          items:
            type: integer
          type: array
          title: Tool Output Tokens Per Turn
      type: object
      title: OutputTokensDetails
    InputAudio:
      properties:
        data:
          type: string
          title: Data
        format:
          type: string
          enum:
            - mp3
            - wav
          title: Format
      additionalProperties: true
      type: object
      required:
        - data
        - format
      title: InputAudio
    AnnotationFileCitation:
      properties:
        file_id:
          type: string
          title: File Id
        filename:
          type: string
          title: Filename
        index:
          type: integer
          title: Index
        type:
          type: string
          enum:
            - file_citation
          const: file_citation
          title: Type
      additionalProperties: true
      type: object
      required:
        - file_id
        - filename
        - index
        - type
      title: AnnotationFileCitation
    AnnotationURLCitation:
      properties:
        end_index:
          type: integer
          title: End Index
        start_index:
          type: integer
          title: Start Index
        title:
          type: string
          title: Title
        type:
          type: string
          enum:
            - url_citation
          const: url_citation
          title: Type
        url:
          type: string
          title: Url
      additionalProperties: true
      type: object
      required:
        - end_index
        - start_index
        - title
        - type
        - url
      title: AnnotationURLCitation
    AnnotationContainerFileCitation:
      properties:
        container_id:
          type: string
          title: Container Id
        end_index:
          type: integer
          title: End Index
        file_id:
          type: string
          title: File Id
        filename:
          type: string
          title: Filename
        start_index:
          type: integer
          title: Start Index
        type:
          type: string
          enum:
            - container_file_citation
          const: container_file_citation
          title: Type
      additionalProperties: true
      type: object
      required:
        - container_id
        - end_index
        - file_id
        - filename
        - start_index
        - type
      title: AnnotationContainerFileCitation
    AnnotationFilePath:
      properties:
        file_id:
          type: string
          title: File Id
        index:
          type: integer
          title: Index
        type:
          type: string
          enum:
            - file_path
          const: file_path
          title: Type
      additionalProperties: true
      type: object
      required:
        - file_id
        - index
        - type
      title: AnnotationFilePath
    Logprob:
      properties:
        token:
          type: string
          title: Token
        bytes:
          items:
            type: integer
          type: array
          title: Bytes
        logprob:
          type: number
          title: Logprob
        top_logprobs:
          items:
            $ref: '#/components/schemas/LogprobTopLogprob'
          type: array
          title: Top Logprobs
      additionalProperties: true
      type: object
      required:
        - token
        - bytes
        - logprob
        - top_logprobs
      title: Logprob
    ActionDragPath:
      properties:
        x:
          type: integer
          title: X
        'y':
          type: integer
          title: 'Y'
      additionalProperties: true
      type: object
      required:
        - x
        - 'y'
      title: ActionDragPath
    ActionSearchSource:
      properties:
        type:
          type: string
          enum:
            - url
          const: url
          title: Type
        url:
          type: string
          title: Url
      additionalProperties: true
      type: object
      required:
        - type
        - url
      title: ActionSearchSource
    McpRequireApprovalMcpToolApprovalFilterAlways:
      properties:
        read_only:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Read Only
        tool_names:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Tool Names
      additionalProperties: true
      type: object
      title: McpRequireApprovalMcpToolApprovalFilterAlways
    McpRequireApprovalMcpToolApprovalFilterNever:
      properties:
        read_only:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Read Only
        tool_names:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Tool Names
      additionalProperties: true
      type: object
      title: McpRequireApprovalMcpToolApprovalFilterNever
    LogprobTopLogprob:
      properties:
        token:
          type: string
          title: Token
        bytes:
          items:
            type: integer
          type: array
          title: Bytes
        logprob:
          type: number
          title: Logprob
      additionalProperties: true
      type: object
      required:
        - token
        - bytes
        - logprob
      title: LogprobTopLogprob
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````